Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util.log
Class StdErrLog

    java.lang.Object
      org.eclipse.jetty.util.log.StdErrLog

All Implemented Interfaces:
  Logger

    public class StdErrLog

extends java.lang.Object
implements Logger

StdErr Logging. This implementation of the Logging facade sends all logs to StdErr with minimal formatting.

If the system property "org.eclipse.jetty.util.log.DEBUG" is set, then debug logs are printed if stderr is being used. For named debuggers, the system property name+".DEBUG" is checked. If it is not not set, then "org.eclipse.jetty.util.log.DEBUG" is used as the default.

If the system property "org.eclipse.jetty.util.log.SOURCE" is set, then the source method/file of a log is logged. For named debuggers, the system property name+".SOURCE" is checked. If it is not not set, then "org.eclipse.jetty.util.log.SOURCE" is used as the default.

Constructor Summary
`StdErrLog()`
`StdErrLog(java.lang.String name)`

Method Summary
`void` | `debug(java.lang.String msg, java.lang.Object... args)` Formats and logs at debug level.
`void` | `debug(java.lang.String msg, java.lang.Throwable thrown)` Logs the given message at debug level, with Throwable information.
`void` | `debug(java.lang.Throwable thrown)` Logs the given Throwable information at debug level
`Logger` | `getLogger(java.lang.String name)`
`java.lang.String` | `getName()`
`void` | `ignore(java.lang.Throwable ignored)` Ignore an exception.
`void` | `info(java.lang.String msg, java.lang.Object... args)` Formats and logs at info level.
`void` | `info(java.lang.String msg, java.lang.Throwable thrown)` Logs the given message at info level, with Throwable information.
`void` | `info(java.lang.Throwable thrown)` Logs the given Throwable information at info level
`boolean` | `isDebugEnabled()`
`boolean` | `isHideStacks()`
`boolean` | `isSource()` Is the source of a log, logged
`void` | `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programmatically.
`void` | `setHideStacks(boolean hideStacks)`
`void` | `setSource(boolean source)` Set if a log source is logged.
`java.lang.String` | `toString()`
`void` | `warn(java.lang.String msg, java.lang.Object... args)` Formats and logs at warn level.
`void` | `warn(java.lang.String msg, java.lang.Throwable thrown)` Logs the given message at warn level, with Throwable information.
`void` | `warn(java.lang.Throwable thrown)` Logs the given Throwable information at warn level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StdErrLog

    public StdErrLog()

### StdErrLog

    public StdErrLog(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Logger`
  Returns:
    the name of this logger

### isHideStacks

    public boolean isHideStacks()

### setHideStacks

    public void setHideStacks(boolean hideStacks)

### isSource

    public boolean isSource()

  Is the source of a log, logged

  Returns:
    true if the class, method, file and line number of a log is logged.

### setSource

    public void setSource(boolean source)

  Set if a log source is logged.

  Parameters:
    `source` - true if the class, method, file and line number of a log is logged.

### warn

    public void warn(java.lang.String msg,
                     java.lang.Object... args)

  Description copied from interface: `Logger`
  Formats and logs at warn level.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### warn

    public void warn(java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at warn level

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at warn level, with Throwable information.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### info

    public void info(java.lang.String msg,
                     java.lang.Object... args)

  Description copied from interface: `Logger`
  Formats and logs at info level.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### info

    public void info(java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at info level

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at info level, with Throwable information.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`
  Returns:
    whether the debug level is enabled

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)

  Description copied from interface: `Logger`
  Mutator used to turn debug on programmatically.

  Specified by:
    `setDebugEnabled` in interface `Logger`
  Parameters:
    `enabled` - whether to enable the debug level

### debug

    public void debug(java.lang.String msg,
                      java.lang.Object... args)

  Description copied from interface: `Logger`
  Formats and logs at debug level.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### debug

    public void debug(java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at debug level

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at debug level, with Throwable information.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### getLogger

    public Logger getLogger(java.lang.String name)

  Specified by:
    `getLogger` in interface `Logger`
  Parameters:
    `name` - the name of the logger
  Returns:
    a logger with the given name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### ignore

    public void ignore(java.lang.Throwable ignored)

  Description copied from interface: `Logger`
  Ignore an exception.

  This should be used rather than an empty catch block.

  Specified by:
    `ignore` in interface `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.